'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _constants = require('./constants');

var clearStore = function clearStore(dbInstance, name) {
  return new Promise(function (resolve, reject) {
    try {
      var transaction = dbInstance.transaction(name, _constants.READ_WRITE);
      var objectStore = transaction.objectStore(name);

      var req = objectStore.clear();

      var onError = function onError() {
        var err = req.error ? req.error : req.transaction.error;
        reject(err);
      };

      transaction.oncomplete = function () {
        return resolve();
      };
      transaction.onabort = onError;
      transaction.onerror = onError;
    } catch (err) {
      reject({
        storeName: name,
        error: err
      });
    }
  });
};

exports.default = clearStore;