"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var createObjectStore = function createObjectStore(dbInstance) {
  return function (storeName) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return new Promise(function (resolve, reject) {
      var objectStore = dbInstance.createObjectStore(storeName, options);

      objectStore.oncomplete = function (e) {
        return resolve(e);
      };
      objectStore.onerror = function (e) {
        return reject(e);
      };
    });
  };
};

exports.default = createObjectStore;